### Function

# Pango Gravity get_for_matrix

since: 1.16

#### Declaration [src]

    PangoGravity
    pango_gravity_get_for_matrix (
      const PangoMatrix* matrix
    )

#### Description [src]

Finds the gravity that best matches the rotation component in a `PangoMatrix`.

Available since: 1.16

#### Parameters

`matrix`

  Type: `PangoMatrix`

  A `PangoMatrix`

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `PangoGravity`

The gravity of `matrix`, which will never be `PANGO_GRAVITY_AUTO`, or `PANGO_GRAVITY_SOUTH` if `matrix` is `NULL`.